"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DecreaseReplicaCount_1 = require("../model/operations/DecreaseReplicaCount");
var DecreaseReplicaCountCommand = /** @class */ (function () {
    function DecreaseReplicaCountCommand(input) {
        this.input = input;
        this.model = DecreaseReplicaCount_1.DecreaseReplicaCount;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DecreaseReplicaCountCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DecreaseReplicaCountCommand;
}());
exports.DecreaseReplicaCountCommand = DecreaseReplicaCountCommand;
//# sourceMappingURL=DecreaseReplicaCountCommand.js.map