import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteCacheClusterInput } from "../types/DeleteCacheClusterInput";
import { DeleteCacheClusterOutput } from "../types/DeleteCacheClusterOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DeleteCacheClusterInput";
export * from "../types/DeleteCacheClusterOutput";
export * from "../types/DeleteCacheClusterExceptionsUnion";
export declare class DeleteCacheClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteCacheClusterInput, OutputTypesUnion, DeleteCacheClusterOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DeleteCacheClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteCacheClusterInput, DeleteCacheClusterOutput, Blob>;
    constructor(input: DeleteCacheClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DeleteCacheClusterInput, DeleteCacheClusterOutput>;
}
