import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeCacheSecurityGroupsInput } from "../types/DescribeCacheSecurityGroupsInput";
import { DescribeCacheSecurityGroupsOutput } from "../types/DescribeCacheSecurityGroupsOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DescribeCacheSecurityGroupsInput";
export * from "../types/DescribeCacheSecurityGroupsOutput";
export * from "../types/DescribeCacheSecurityGroupsExceptionsUnion";
export declare class DescribeCacheSecurityGroupsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeCacheSecurityGroupsInput, OutputTypesUnion, DescribeCacheSecurityGroupsOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DescribeCacheSecurityGroupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeCacheSecurityGroupsInput, DescribeCacheSecurityGroupsOutput, Blob>;
    constructor(input: DescribeCacheSecurityGroupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DescribeCacheSecurityGroupsInput, DescribeCacheSecurityGroupsOutput>;
}
