import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { IncreaseReplicaCountInput } from "../types/IncreaseReplicaCountInput";
import { IncreaseReplicaCountOutput } from "../types/IncreaseReplicaCountOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/IncreaseReplicaCountInput";
export * from "../types/IncreaseReplicaCountOutput";
export * from "../types/IncreaseReplicaCountExceptionsUnion";
export declare class IncreaseReplicaCountCommand implements __aws_sdk_types.Command<InputTypesUnion, IncreaseReplicaCountInput, OutputTypesUnion, IncreaseReplicaCountOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: IncreaseReplicaCountInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<IncreaseReplicaCountInput, IncreaseReplicaCountOutput, Blob>;
    constructor(input: IncreaseReplicaCountInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<IncreaseReplicaCountInput, IncreaseReplicaCountOutput>;
}
