import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TestFailoverInput } from "../types/TestFailoverInput";
import { TestFailoverOutput } from "../types/TestFailoverOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/TestFailoverInput";
export * from "../types/TestFailoverOutput";
export * from "../types/TestFailoverExceptionsUnion";
export declare class TestFailoverCommand implements __aws_sdk_types.Command<InputTypesUnion, TestFailoverInput, OutputTypesUnion, TestFailoverOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: TestFailoverInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TestFailoverInput, TestFailoverOutput, Blob>;
    constructor(input: TestFailoverInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<TestFailoverInput, TestFailoverOutput>;
}
