"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeEventsInput_1 = require("../shapes/DescribeEventsInput");
var DescribeEventsOutput_1 = require("../shapes/DescribeEventsOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEvents = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEvents",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEventsInput_1.DescribeEventsInput
    },
    output: {
        shape: DescribeEventsOutput_1.DescribeEventsOutput,
        resultWrapper: "DescribeEventsResult"
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DescribeEvents.js.map