"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _NodeSnapshotList_1 = require("./_NodeSnapshotList");
exports._Snapshot = {
    type: "structure",
    required: [],
    members: {
        SnapshotName: {
            shape: {
                type: "string"
            }
        },
        ReplicationGroupId: {
            shape: {
                type: "string"
            }
        },
        ReplicationGroupDescription: {
            shape: {
                type: "string"
            }
        },
        CacheClusterId: {
            shape: {
                type: "string"
            }
        },
        SnapshotStatus: {
            shape: {
                type: "string"
            }
        },
        SnapshotSource: {
            shape: {
                type: "string"
            }
        },
        CacheNodeType: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        NumCacheNodes: {
            shape: {
                type: "integer"
            }
        },
        PreferredAvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        CacheClusterCreateTime: {
            shape: {
                type: "timestamp"
            }
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        TopicArn: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        CacheParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        CacheSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        VpcId: {
            shape: {
                type: "string"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        SnapshotRetentionLimit: {
            shape: {
                type: "integer"
            }
        },
        SnapshotWindow: {
            shape: {
                type: "string"
            }
        },
        NumNodeGroups: {
            shape: {
                type: "integer"
            }
        },
        AutomaticFailover: {
            shape: {
                type: "string"
            }
        },
        NodeSnapshots: {
            shape: _NodeSnapshotList_1._NodeSnapshotList
        }
    }
};
//# sourceMappingURL=_Snapshot.js.map