import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReplicationGroupsInput } from "../types/DescribeReplicationGroupsInput";
import { DescribeReplicationGroupsOutput } from "../types/DescribeReplicationGroupsOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DescribeReplicationGroupsInput";
export * from "../types/DescribeReplicationGroupsOutput";
export * from "../types/DescribeReplicationGroupsExceptionsUnion";
export declare class DescribeReplicationGroupsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReplicationGroupsInput, OutputTypesUnion, DescribeReplicationGroupsOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DescribeReplicationGroupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReplicationGroupsInput, DescribeReplicationGroupsOutput, Blob>;
    constructor(input: DescribeReplicationGroupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DescribeReplicationGroupsInput, DescribeReplicationGroupsOutput>;
}
