import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReservedCacheNodesOfferingsInput } from "../types/DescribeReservedCacheNodesOfferingsInput";
import { DescribeReservedCacheNodesOfferingsOutput } from "../types/DescribeReservedCacheNodesOfferingsOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DescribeReservedCacheNodesOfferingsInput";
export * from "../types/DescribeReservedCacheNodesOfferingsOutput";
export * from "../types/DescribeReservedCacheNodesOfferingsExceptionsUnion";
export declare class DescribeReservedCacheNodesOfferingsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReservedCacheNodesOfferingsInput, OutputTypesUnion, DescribeReservedCacheNodesOfferingsOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DescribeReservedCacheNodesOfferingsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReservedCacheNodesOfferingsInput, DescribeReservedCacheNodesOfferingsOutput, Blob>;
    constructor(input: DescribeReservedCacheNodesOfferingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DescribeReservedCacheNodesOfferingsInput, DescribeReservedCacheNodesOfferingsOutput>;
}
