import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyCacheSubnetGroupInput } from "../types/ModifyCacheSubnetGroupInput";
import { ModifyCacheSubnetGroupOutput } from "../types/ModifyCacheSubnetGroupOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/ModifyCacheSubnetGroupInput";
export * from "../types/ModifyCacheSubnetGroupOutput";
export * from "../types/ModifyCacheSubnetGroupExceptionsUnion";
export declare class ModifyCacheSubnetGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyCacheSubnetGroupInput, OutputTypesUnion, ModifyCacheSubnetGroupOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: ModifyCacheSubnetGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyCacheSubnetGroupInput, ModifyCacheSubnetGroupOutput, Blob>;
    constructor(input: ModifyCacheSubnetGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<ModifyCacheSubnetGroupInput, ModifyCacheSubnetGroupOutput>;
}
