"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PurchaseReservedCacheNodesOffering_1 = require("../model/operations/PurchaseReservedCacheNodesOffering");
var PurchaseReservedCacheNodesOfferingCommand = /** @class */ (function () {
    function PurchaseReservedCacheNodesOfferingCommand(input) {
        this.input = input;
        this.model = PurchaseReservedCacheNodesOffering_1.PurchaseReservedCacheNodesOffering;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PurchaseReservedCacheNodesOfferingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PurchaseReservedCacheNodesOfferingCommand;
}());
exports.PurchaseReservedCacheNodesOfferingCommand = PurchaseReservedCacheNodesOfferingCommand;
//# sourceMappingURL=PurchaseReservedCacheNodesOfferingCommand.js.map