"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeCacheParameterGroupsInput_1 = require("../shapes/DescribeCacheParameterGroupsInput");
var DescribeCacheParameterGroupsOutput_1 = require("../shapes/DescribeCacheParameterGroupsOutput");
var CacheParameterGroupNotFoundFault_1 = require("../shapes/CacheParameterGroupNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCacheParameterGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCacheParameterGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeCacheParameterGroupsInput_1.DescribeCacheParameterGroupsInput
    },
    output: {
        shape: DescribeCacheParameterGroupsOutput_1.DescribeCacheParameterGroupsOutput,
        resultWrapper: "DescribeCacheParameterGroupsResult"
    },
    errors: [
        {
            shape: CacheParameterGroupNotFoundFault_1.CacheParameterGroupNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DescribeCacheParameterGroups.js.map