"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReplicationGroupsInput_1 = require("../shapes/DescribeReplicationGroupsInput");
var DescribeReplicationGroupsOutput_1 = require("../shapes/DescribeReplicationGroupsOutput");
var ReplicationGroupNotFoundFault_1 = require("../shapes/ReplicationGroupNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReplicationGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReplicationGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReplicationGroupsInput_1.DescribeReplicationGroupsInput
    },
    output: {
        shape: DescribeReplicationGroupsOutput_1.DescribeReplicationGroupsOutput,
        resultWrapper: "DescribeReplicationGroupsResult"
    },
    errors: [
        {
            shape: ReplicationGroupNotFoundFault_1.ReplicationGroupNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DescribeReplicationGroups.js.map