"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ReplicationGroupIdList_1 = require("./_ReplicationGroupIdList");
var _ServiceUpdateStatusList_1 = require("./_ServiceUpdateStatusList");
var _TimeRangeFilter_1 = require("./_TimeRangeFilter");
var _UpdateActionStatusList_1 = require("./_UpdateActionStatusList");
exports.DescribeUpdateActionsInput = {
    type: "structure",
    required: [],
    members: {
        ServiceUpdateName: {
            shape: {
                type: "string"
            }
        },
        ReplicationGroupIds: {
            shape: _ReplicationGroupIdList_1._ReplicationGroupIdList
        },
        ServiceUpdateStatus: {
            shape: _ServiceUpdateStatusList_1._ServiceUpdateStatusList
        },
        ServiceUpdateTimeRange: {
            shape: _TimeRangeFilter_1._TimeRangeFilter
        },
        UpdateActionStatus: {
            shape: _UpdateActionStatusList_1._UpdateActionStatusList
        },
        ShowNodeLevelUpdateStatus: {
            shape: {
                type: "boolean"
            }
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeUpdateActionsInput.js.map